## python-debian 0.1.36ubuntu1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build/sphinx/

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-debian.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-debian.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-debian"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-debian"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-debian (0.1.36ubuntu1) focal; urgency=medium

  * lib/debian/doc-debtags: Change shebang to python3.
  * debian/rules: Fix a couple of missed references to "python".
  * debian/tests/python3-debian: fix lintian failure
    "runtime-test-file-uses-installed-python-versions".

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 Apr 2020 17:17:21 +1200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# tell pybuild which module to install into the packages
export PYBUILD_NAME=debian

%:
	dh $@ --with python2,python3 --buildsystem pybuild

%.py: %.py.in debian/changelog
	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@

override_dh_auto_build: lib/debian/_version.py
	dh_auto_build
	lib/debian/doc-debtags > README.debtags

override_dh_auto_test:
	# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
	# aware locale to catch errors related to encoding.
	LC_ALL=C python2 -m unittest discover --verbose lib/
	LC_ALL=C.UTF-8 python2 -m unittest discover --verbose lib/
	LC_ALL=C python3 -m unittest discover --verbose lib/
	LC_ALL=C.UTF-8 python3 -m unittest discover --verbose lib/
endif

override_dh_auto_install:
	dh_auto_install
	# setuputils may produce different files for different versions of
	# python and dh_python3 will leave them behind.
	rm -rf $(CURDIR)/*/usr/lib/python3.*

dist: lib/debian/_version.py
	rm -f dist/python?debian-$(DEB_VERSION)*
	python3 setup.py sdist bdist_wheel bdist_egg
	python2 setup.py bdist_wheel bdist_egg
	echo "You can now: twine upload --sign dist/python?debian-$(DEB_VERSION)*"

apidoc:
	rm -f docs/api/*
	cd lib && sphinx-apidoc -e --private -H python-debian \
	  -o ../docs/api/ . \
	  deb822.py debian/tests/ debian_bundle/

doc: apidoc
	PYTHONPATH=$(CURDIR)/lib \
	  make -C docs/ SPHINXOPTS="-a -v -n" html

qa:
	pylint3 --rcfile .pylintrc lib
	mypy lib

.PHONY: dist doc apidoc qa

=== debian/tests/control ===
Tests: python3-debian
Restrictions: allow-stderr
Depends:
 binutils (>= 2.23),
 python3-all,
 python3-apt,
 python3-debian,
 debian-keyring,
 debian-archive-keyring

Tests: python-debian
Restrictions: allow-stderr
Depends:
 binutils (>= 2.23),
 python2.7,
 python-apt,
 python-debian,
 python-unittest2,
 debian-keyring,
 debian-archive-keyring

## python-debian 0.1.36ubuntu1.1

=== debian/changelog ===
python-debian (0.1.36ubuntu1.1) focal; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Apr 2023 20:39:33 +0200

=== debian/control ===
Source: python-debian
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
Uploaders:
 Adeodato Simó <dato@net.com.org.es>,
 Enrico Zini <enrico@debian.org>,
 James Westby <jw+debian@jameswestby.net>,
 Reinhard Tartler <siretart@tauware.de>,
 Stefano Zacchiroli <zack@debian.org>,
 John Wright <jsw@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 binutils (>= 2.23),
 debhelper-compat (= 12),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-apt (>> 1.1~),
 python-chardet,
 python-setuptools,
 python-six (>> 1.4~),
 python-unittest2,
 python3-all (>= 3.1.2-8~),
 python3-apt (>> 1.1~),
 python3-chardet,
 python3-setuptools,
 python3-six (>> 1.4~)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
Homepage: https://salsa.debian.org/python-debian-team/python-debian

Package: python-debian
Architecture: all
Depends:
 python-chardet,
 python-six (>> 1.4~),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-apt
Suggests:
 gpgv
Provides:
 python-deb822
Conflicts:
 python-deb822
Replaces:
 python-deb822
Description: Python modules to work with Debian-related data formats
 This package provides Python modules that abstract many formats of Debian
 related files. Currently handled are:
  * Debtags information (debian.debtags module)
  * debian/changelog (debian.changelog module)
  * Packages files, pdiffs (debian.debian_support module)
  * Control files of single or multiple RFC822-style paragraphs, e.g.
    debian/control, .changes, .dsc, Packages, Sources, Release, etc.
    (debian.deb822 module)
  * Raw .deb and .ar files, with (read-only) access to contained
    files and meta-information

Package: python3-debian
Architecture: all
Depends:
 python3-chardet,
 python3-six (>> 1.4~),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-apt
Suggests:
 gpgv
Description: Python 3 modules to work with Debian-related data formats
 This package provides Python 3 modules that abstract many formats of Debian
 related files. Currently handled are:
  * Debtags information (debian.debtags module)
  * debian/changelog (debian.changelog module)
  * Packages files, pdiffs (debian.debian_support module)
  * Control files of single or multiple RFC822-style paragraphs, e.g.
    debian/control, .changes, .dsc, Packages, Sources, Release, etc.
    (debian.deb822 module)
  * Raw .deb and .ar files, with (read-only) access to contained
    files and meta-information

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@ --with python2,python3 --buildsystem pybuild
 
 %.py: %.py.in debian/changelog
-	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@
+	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build

## python-debian 0.1.37

=== debian/changelog ===
python-debian (0.1.37) unstable; urgency=medium

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937691
  * lib/debian/doc-debtags
    - run using python3

  [ Stuart Prescott ]
  * Update Standards-Version to 4.5.0 (no changes required).
  * Add Rules-Requires-Root: no.
  * Test with all supported Python 3 interpreters at build time, not only
    in the autopkgtest tests.
  * Include the version of the interpreter in the test output.
  * Update from pylint3 to pylint.
  * Fix some pylint warnings.
  * Include pylint and mypy checks for merge requests on salsa.
  * Add additional metadata to setup.py, with thanks to Konrad Weihmann for
    the suggestion.

  [ Colin Watson ]
  * Parse Built-Using relationship fields.

  [ Michael Hudson-Doyle ]
  * Run tests with 'supported' not 'installed' Python 3 interpreters.

 -- Stuart Prescott <stuart@debian.org>  Sat, 11 Apr 2020 17:54:43 +1000

=== debian/control ===
Source: python-debian
Section: python
Priority: optional
Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
Uploaders:
 Adeodato Simó <dato@net.com.org.es>,
 Enrico Zini <enrico@debian.org>,
 James Westby <jw+debian@jameswestby.net>,
 Reinhard Tartler <siretart@tauware.de>,
 Stefano Zacchiroli <zack@debian.org>,
 John Wright <jsw@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 binutils (>= 2.23),
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.1.2-8~),
 python3-apt (>> 1.1~),
 python3-chardet,
 python3-setuptools,
 python3-six (>> 1.4~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
Homepage: https://salsa.debian.org/python-debian-team/python-debian
Rules-Requires-Root: no

Package: python3-debian
Architecture: all
Depends:
 python3-chardet,
 python3-six (>> 1.4~),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-apt
Suggests:
 gpgv
Description: Python 3 modules to work with Debian-related data formats
 This package provides Python 3 modules that abstract many formats of Debian
 related files. Currently handled are:
  * Debtags information (debian.debtags module)
  * debian/changelog (debian.changelog module)
  * Packages files, pdiffs (debian.debian_support module)
  * Control files of single or multiple RFC822-style paragraphs, e.g.
    debian/control, .changes, .dsc, Packages, Sources, Release, etc.
    (debian.deb822 module)
  * Raw .deb and .ar files, with (read-only) access to contained
    files and meta-information

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 export PYBUILD_NAME=debian
 
 %:
-	dh $@ --with python2,python3 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 %.py: %.py.in debian/changelog
-	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
+	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build
@@ -24,10 +24,14 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
 	# aware locale to catch errors related to encoding.
-	LC_ALL=C python2 -m unittest discover --verbose lib/
-	LC_ALL=C.UTF-8 python2 -m unittest discover --verbose lib/
-	LC_ALL=C python3 -m unittest discover --verbose lib/
-	LC_ALL=C.UTF-8 python3 -m unittest discover --verbose lib/
+	for py in `py3versions -s`; do \
+	  set -e; \
+	  echo "----------------------------------------------"; \
+	  echo "Testing with $$py"; \
+	  echo "----------------------------------------------"; \
+	  LC_ALL=C $$py -m unittest discover --verbose lib/; \
+	  LC_ALL=C.UTF-8 $$py -m unittest discover --verbose lib/; \
+	done
 endif
 
 override_dh_auto_install:
@@ -39,7 +43,6 @@
 dist: lib/debian/_version.py
 	rm -f dist/python?debian-$(DEB_VERSION)*
 	python3 setup.py sdist bdist_wheel bdist_egg
-	python2 setup.py bdist_wheel bdist_egg
 	echo "You can now: twine upload --sign dist/python?debian-$(DEB_VERSION)*"
 
 apidoc:
@@ -52,8 +55,8 @@
 	PYTHONPATH=$(CURDIR)/lib \
 	  make -C docs/ SPHINXOPTS="-a -v -n" html
 
-qa:
-	pylint3 --rcfile .pylintrc lib
+qa: lib/debian/_version.py
+	pylint --rcfile .pylintrc lib
 	mypy lib
 
 .PHONY: dist doc apidoc qa

## python-debian 0.1.39

=== debian/changelog ===
python-debian (0.1.39) unstable; urgency=medium

  [ Stuart Prescott ]
  * Move re.compile calls out of functions (Closes: #971960).
  * Revert unintended renaming of Changelog.get_version/set_version
    (Closes: #975910).
  * Add a type for .buildinfo files (deb822.BuildInfo) (Closes: #875306).
  * Add support for SHA1-Download and SHA256-* variants in PdiffIndex class
    for .diff/Index files (Closes: #970824).
  * Permit single-character package names in dependency relationship
    specifications (Closes: #977355).
  * Silence deprecation warnings in the test suite.
  * Test that UserWarning is emitted in tests where it should be.
  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to debhelper-compat (= 13).
  * Update examples to use #!/usr/bin/python3.
  * Fix tabs vs spaces in examples.

  [ Jose Luis Rivero ]
  * Allow debian_support.PackageFile to accept StringIO as well as BytesIO.

  [ Ansgar ]
  * Change handling of case-insensitive field names to allow Deb822 objects
    to be serialised  (Closes: #975915).

  [ Jelmer Vernooĳ ]
  * Add myself to uploaders.

  [ Johannes 'josch' Schauer ]
  * Add SHA265 support to handling of pdiffs.
  * Add support for additional headers for merged pdiffs to PDiffIndex.
  * Allow debian_support.patches_from_ed_script to consume both bytes and str.

 -- Stuart Prescott <stuart@debian.org>  Sat, 19 Dec 2020 11:59:40 +1100

python-debian (0.1.38) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add a debian.watch module for parsing watch files.
  * Prevent stripping of last newline in initial lines before changelog files.
  * Add a Copyright.files_excluded field.
  * Allow specifying allow_missing_author when reserializing changelog
    entries.

  [ Stuart Prescott ]
  * Fix CI error from typeshed.
  * Add lots more type annotations to the code.
  * Enable mypy and pylint in the CI pipeline for merge requests.

  [ Dato Simó ]
  * Remove myself from Uploaders.

 -- Stuart Prescott <stuart@debian.org>  Sun, 04 Oct 2020 15:09:46 +1100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
- Adeodato Simó <dato@net.com.org.es>,
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
  Reinhard Tartler <siretart@tauware.de>,
  Stefano Zacchiroli <zack@debian.org>,
  John Wright <jsw@debian.org>,
- Stuart Prescott <stuart@debian.org>
+ Stuart Prescott <stuart@debian.org>,
+ Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends:
  binutils (>= 2.23),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.1.2-8~),
  python3-apt (>> 1.1~),
  python3-chardet,
  python3-setuptools,
  python3-six (>> 1.4~)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
 Homepage: https://salsa.debian.org/python-debian-team/python-debian

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,6 @@
 
 qa: lib/debian/_version.py
 	pylint --rcfile .pylintrc lib
-	mypy lib
+	mypy --strict lib
 
 .PHONY: dist doc apidoc qa

=== debian/tests/control ===
Tests: python3-debian
Restrictions: allow-stderr
Depends:
 binutils (>= 2.23),
 python3-all,
 python3-apt,
 python3-debian,
 debian-keyring,
 debian-archive-keyring

## python-debian 0.1.39ubuntu1

=== debian/changelog ===
python-debian (0.1.39ubuntu1) impish; urgency=medium

  * Add support for zstd compression format (LP: #1923845)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 19 Aug 2021 14:50:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -18,7 +19,8 @@
  python3-apt (>> 1.1~),
  python3-chardet,
  python3-setuptools,
- python3-six (>> 1.4~)
+ python3-six (>> 1.4~),
+ zstd
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
@@ -30,6 +32,7 @@
 Depends:
  python3-chardet,
  python3-six (>> 1.4~),
+ zstd,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:

## python-debian 0.1.43ubuntu1

=== debian/changelog ===
python-debian (0.1.43ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1960404). Remaining changes:
    * Add support for zstd compression format (LP: #1923845)
      -> the patch has been rewritten to account for upstream work on this
      particular area and their move to dynamically generated test packages

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 09 Feb 2022 12:27:26 +0100

python-debian (0.1.43) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Support the Files-Included field in debian/copyright.

  [ Stuart Prescott ]
  * Always run both mypy and pylint on CI.
  * Fix URL for API documentation in README.rst (Closes: #995442).
  * RTS parser: minor documentation fixes.
  * Declare minimum Python version of 3.5 for most modules except the
    RTS parser. Add CI testing with Python 3.5 (Closes: #997857).

  [ Niels Thykier ]
  * RTS parser: Handle leading tabs for setting values (Closes: #996785).
  * RTS parser: Preserve original field case (Closes: #996784).
  * RTS parser: Expose str type for keys in paragraphs (Closes: #996783).

 -- Stuart Prescott <stuart@debian.org>  Sun, 16 Jan 2022 13:03:02 +1100

python-debian (0.1.42) unstable; urgency=medium

  "The Hitchhiker's Guide to the Galaxy" release.

  [ Jelmer Vernooĳ ]
  * Use logging for warnings about data that's being read, rather than
    the warnings module.

  [ Stuart Prescott ]
  * Fix type checks for mypy 0.910
  * Refactor CI code to be less repetitive.
  * Fix autopkgtest invocation of py.test.
  * Silence lintian complaint about touching the dpkg database in the
    examples.
  * Update Standards-Version to 4.6.0 (no changes required).
  * Add RTS parser to setup.py so that it is installed.
  * Add copyright attribution for RTS parser.

  [ Niels Thykier ]
  * RTS parser: Accept tabs as continuation line marker. Closes: #994854
  * Interpretation: Preserve tab as continuation line if used
  * CI: Always build docs; only publish it for master
  * RTS parser: Make value interpretation tokenization consistent
  * RTS parser: Add interpretation for Uploaders field

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 17:12:47 +1100

python-debian (0.1.41) experimental; urgency=medium

  [ Stuart Prescott ]
  * Drop some old python version checks (Closes: #986550)
  * Skip tests that use apt_pkg if unavailable
  * Run tests in absense of recommended packages
  * Drop use of six.
  * Drop old version constraints in autopkgtest tests
  * Generate .deb packages for tests on-demand
  * Add contextmanager to DebFile
  * Fix sphinx _static config

  [ Niels Thykier ]
  * Added format/comment preserving deb822 parser as debian._deb822_repro.
  * CI: Add coverage reports
  * Use py.test for running tests

  [ Jelmer Vernooĳ ]
  * Add Build-Depends-Arch, Build-Conflicts-Arch to list of relationship
    fields. Closes: #985492

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 18 Sep 2021 22:36:23 +0100

python-debian (0.1.40) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * In debian.changelog.get_maintainer, cope with unknown UIDs. Closes:
    #980385

  [ Niels Thykier ]
  * Add some doctest SKIP markers to the code (MR!45).
  * Fix examples in code (MR!41, MR!43).

  [ Frédéric Pierret ]
  * Numerous enhancements to the deb822.BuildInfo class (MR!40).

  [ Stuart Prescott ]
  * Update annotations for mypy 0.8.00.
  * Include portability patch for pwd module on Windows from MR!38, with
    thanks to Ryan Pavlik for the report and Carmen Bianca Bakker for the
    implementation.
  * Drop the deb822.BuildInfo.get_debian_suite function.
  * Stop testing with Python 2.7.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on binutils.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jun 2021 18:09:46 +1000

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
  Stuart Prescott <stuart@debian.org>,
  Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends:
- binutils (>= 2.23),
+ binutils,
  debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.1.2-8~),
  python3-apt (>> 1.1~),
  python3-chardet,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six (>> 1.4~),
  zstd
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
 Homepage: https://salsa.debian.org/python-debian-team/python-debian
@@ -31,7 +31,6 @@
 Architecture: all
 Depends:
  python3-chardet,
- python3-six (>> 1.4~),
  zstd,
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -19,19 +19,9 @@
 	dh_auto_build
 	lib/debian/doc-debtags > README.debtags
 
-override_dh_auto_test:
-	# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
+# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
-	# aware locale to catch errors related to encoding.
-	for py in `py3versions -s`; do \
-	  set -e; \
-	  echo "----------------------------------------------"; \
-	  echo "Testing with $$py"; \
-	  echo "----------------------------------------------"; \
-	  LC_ALL=C $$py -m unittest discover --verbose lib/; \
-	  LC_ALL=C.UTF-8 $$py -m unittest discover --verbose lib/; \
-	done
+override_dh_auto_test: test
 endif
 
 override_dh_auto_install:
@@ -55,8 +45,26 @@
 	PYTHONPATH=$(CURDIR)/lib \
 	  make -C docs/ SPHINXOPTS="-a -v -n" html
 
+test:
+	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
+	# aware locale to catch errors related to encoding.
+	for py in `py3versions -s`; do \
+	  set -e; \
+	  echo "----------------------------------------------"; \
+	  echo "Testing with $$py"; \
+	  echo "----------------------------------------------"; \
+	  LC_ALL=C $$py -m pytest --doctest-modules --verbose lib/; \
+	  LC_ALL=C.UTF-8 $$py -m pytest --doctest-modules --verbose lib/; \
+	done
+
 qa: lib/debian/_version.py
-	pylint --rcfile .pylintrc lib
-	mypy --strict lib
+	@echo "Running both pylint and mypy"
+	@echo "----------- pylint -----------"
+	@pylint --rcfile .pylintrc lib; \
+	  pylinterr=$$?; \
+	  echo "----------- mypy -----------"; \
+	  mypy --strict lib; \
+	  mypyerr=$$? ; \
+	  [ $$pylinterr -eq 0 -a $$mypyerr -eq 0 ]
 
 .PHONY: dist doc apidoc qa

## python-debian 0.1.43ubuntu1.1

=== debian/changelog ===
python-debian (0.1.43ubuntu1.1) jammy; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Apr 2023 18:25:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@ --with python3 --buildsystem pybuild
 
 %.py: %.py.in debian/changelog
-	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@
+	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build

=== debian/tests/control ===
Tests: python3-debian
Restrictions: allow-stderr
Depends:
 binutils,
 python3-all,
 python3-apt,
 python3-debian,
 python3-pytest,
 debian-keyring,
 debian-archive-keyring

Tests: python3-debian-no-apt-pkg
Restrictions: allow-stderr
Depends:
 binutils,
 python3-all,
 python3-debian,
 python3-pytest,
 debian-keyring,
 debian-archive-keyring

## python-debian 0.1.46

=== debian/changelog ===
python-debian (0.1.46) unstable; urgency=medium

  * Copyright.add_files_paragraph(): Append after the last existing
    files paragraph.
  * RTS parser: Fix removing and then re-adding a paragraph.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 17:45:29 +0100

python-debian (0.1.45) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add Deb822FileElement.remove method.
  * RTS parser: don't add trailing whitespace when setting field values
    that start with a newline. Closes: #1013485
  * RTS parser: Add Deb822FileElement.remove().

  [ Niels Thykier ]
  * RTS parser: minor performance improvements (~5%).
  * RTS parser: Stop preserving lack of newlines at EOF. Closes: #998715
  * Add substvars module for handling substvars.
  * copyright: Use RTS parser.
  * Provide `DpkgArchTable` class as a subset of `Dpkg::Arch`. Closes: #771058

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 Jul 2022 16:35:04 +0100

python-debian (0.1.44) unstable; urgency=medium

  [ Simon Chopin ]
  * Add support for zstd compression in .deb files (LP: #1923845) with thanks
    also to Athos Ribeiro and Quirin Pamp for contributions to this feature.

  [ Jelmer Vernooĳ ]
  * Use logging.warning rather than warnings for data problems.

  [ Stuart Prescott ]
  * Support for finding files (including changelog.Debian.gz) that are beyond
    a symlink within the package (Closes: #875305).
  * Update packaging for zstd compressed .deb code.
  * Annotate binutils build-dep with <!nocheck>.
  * Update Standards-Version to 4.6.1 (no changes required).

  [ Niels Thykier ]
  * Various improvements to the round-trip-safe deb822 parser.

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 May 2022 12:06:57 +1000

## python-debian 0.1.46ubuntu1

=== debian/changelog ===
python-debian (0.1.46ubuntu1) kinetic; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 27 May 2023 01:51:02 +0200

## python-debian 0.1.49

=== debian/changelog ===
python-debian (0.1.49) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1.

  [ Niels Thykier ]
  * Fix whitespace handling of Copyright files (Closes: #960278)

  [ Stuart Prescott ]
  * Make python-debian (more) portable (Closes: #1011937)
    - Tweak tests to be portable to other platforms
    - Adapt tests so that skipping optional tests can be prevented if needed
    - Add other platforms to CI to test portability
  * Switch tests to use more pytest features.
  * Updates for newer mypy and pylint.
  * Add Debian 14 'forky' to the list of known releases.

 -- Stuart Prescott <stuart@debian.org>  Sun, 20 Nov 2022 11:30:33 +1100

python-debian (0.1.48) unstable; urgency=medium

  [ Anders Kaseorg ]
  * Fix version bound for subscripting abc.Iterator, abc.MutableMapping.
    Closes: #1018822

  [ Jelmer Vernooĳ ]
  * Don't raise AmbiguousDeb822FieldKeyError in __contains__.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 03 Oct 2022 05:19:42 +0100

python-debian (0.1.47) unstable; urgency=medium

  * copyright: Allow duplicate fields when strict=False.
  * copyright: Fix regression, raise NotMachineReadableError for files
    that clearly don't use DEP5. Closes: #1017836

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Aug 2022 14:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -12,16 +11,16 @@
  Stuart Prescott <stuart@debian.org>,
  Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends:
- binutils,
+ binutils <!nocheck>,
  debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.1.2-8~),
- python3-apt (>> 1.1~),
+ python3-all,
+ python3-apt,
  python3-chardet,
  python3-pytest <!nocheck>,
  python3-setuptools,
- zstd
-Standards-Version: 4.6.0
+ zstd <!nocheck>,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
 Homepage: https://salsa.debian.org/python-debian-team/python-debian
@@ -31,11 +30,11 @@
 Architecture: all
 Depends:
  python3-chardet,
- zstd,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
- python3-apt
+ python3-apt,
+ zstd,
 Suggests:
  gpgv
 Description: Python 3 modules to work with Debian-related data formats

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,19 @@
 # tell pybuild which module to install into the packages
 export PYBUILD_NAME=debian
 
+# for packaging, insist that all optional dependencies are installed
+# when running the test suite
+export FORBID_MISSING_APT_PKG ?= 1
+export FORBID_MISSING_GPGV ?= 1
+export FORBID_MISSING_AR ?= 1
+export FORBID_MISSING_DPKG_DEB ?= 1
+export FORBID_MISSING_ZSTD ?= 1
+
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
 %.py: %.py.in debian/changelog
-	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
+	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build
@@ -60,7 +68,7 @@
 qa: lib/debian/_version.py
 	@echo "Running both pylint and mypy"
 	@echo "----------- pylint -----------"
-	@pylint --rcfile .pylintrc lib; \
+	@pylint --rcfile .pylintrc $$(find lib/debian -name \*py | grep -v test | sort); \
 	  pylinterr=$$?; \
 	  echo "----------- mypy -----------"; \
 	  mypy --strict lib; \

## python-debian 0.1.49ubuntu2

=== debian/changelog ===
python-debian (0.1.49ubuntu2) lunar; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 01 Feb 2023 10:32:24 +0100

python-debian (0.1.49ubuntu1) lunar; urgency=medium

  * Add zstd dependency to fix dh-cmake buils (test failures)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 19:46:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -30,11 +31,11 @@
 Architecture: all
 Depends:
  python3-chardet,
+ zstd,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
  python3-apt,
- zstd,
 Suggests:
  gpgv
 Description: Python 3 modules to work with Debian-related data formats

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh $@ --with python3 --buildsystem pybuild
 
 %.py: %.py.in debian/changelog
-	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@
+	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build

=== debian/tests/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  python3-debian,
  python3-pytest,
  debian-keyring,
- debian-archive-keyring
+ debian-archive-keyring,
+ zstd,
 
 Tests: python3-debian-no-apt-pkg
 Restrictions: allow-stderr
@@ -17,4 +18,5 @@
  python3-debian,
  python3-pytest,
  debian-keyring,
- debian-archive-keyring
+ debian-archive-keyring,
+ zstd,

## python-debian 0.1.49ubuntu3

=== debian/changelog ===
python-debian (0.1.49ubuntu3) oracular; urgency=medium

  * Fix FTBFS by ensuring that the PEP440 compliant package version is
    available when running dh_auto_clean & dh_auto_configure (LP: #2083165).

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sun, 29 Sep 2024 20:52:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,12 @@
 
 %.py: %.py.in debian/changelog
 	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
+
+override_dh_auto_clean: lib/debian/_version.py
+	dh_auto_clean
+
+override_dh_auto_configure: lib/debian/_version.py
+	dh_auto_configure
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build

## python-debian 1.0.1

=== debian/changelog ===
python-debian (1.0.1) unstable; urgency=medium

  * Fix handling of empty string data given to Deb822.iter_paragraphs.

 -- Stuart Prescott <stuart@debian.org>  Tue, 11 Mar 2025 23:17:33 +1100

python-debian (1.0.0) unstable; urgency=medium

  * The 1.0.0 release of python-debian :)
  * Upload to unstable (and release to pypi).
  * Update typing imports to keep new mypy happy.
  * Handle non-UTF-8 data in gpgv output from sequoia-generated data
    (Closes: #1095835, #1087991).
  * Permit filenames and Path objects in Deb822.iter_paragraphs()
    (Closes: #1086512).

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Mar 2025 01:05:59 +1100

python-debian (0.1.52) experimental; urgency=medium

  * Ensure that gpgv is not gpgv-from-sq for now.

 -- Stuart Prescott <stuart@debian.org>  Fri, 27 Dec 2024 00:38:26 +1100

python-debian (0.1.51) experimental; urgency=medium

  * Add build-dependency on gpgv.

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Dec 2024 17:11:02 +1100

python-debian (0.1.50) experimental; urgency=medium

  [ Stuart Prescott ]
  * 1.0.0 release candidate.
  * Tweaks to match changes in Python-land tooling:
    - Fix some stylistic things that the newly uploaded pylint 2.16 complains
      about.
    - Fix testing with wine to adapt to changes in wine packaging.
    - Fix tests to work with recent changes to pip that prevent installation
      outside of a venv.
    - Change version generation to be PEP440 compatible to satisfy new
      requirements from setuptools, python-packaging etc. This change is
      needed for any uploads outside of Debian sid (derivatives, Debian
      backports, Debian security/stable-updates, etc).
  * Fix file extraction from DebFile for cases where the .deb is generated
    from control or data tarballs without the optional entry for "." and the
    "./" prefix on all members; this isn't needed for dpkg-generated packages,
    but is needed for other tools such as 'cargo deb' (Closes: #1031674).
  * Demote Recommends to Suggests; it is up to the calling code to know what
    optional features of python-debian it is using rather than dragging in an
    ever-increasing list of optional extra packages (Closes: #1029727).
  * Drop shims for pre-PEP8 API after 14 years of deprecation.
  * Replace setup.py and config for pylint, mypy, pytest with pyproject.toml.
  * Switch package build system to use pyproject.toml.
  * Relocate tests and test data out of module; they are no longer included
    in the binary package or in the wheel.
  * Relocate module source from 'lib' to 'src' in line with current practice.
  * Change handling of package version to use setuptools_scm during
    development (but not at run time).
  * Update code to build pypi uploads (sdist and wheel).
  * Update copyright statements throughout.
  * Tweak pytest configuration for pytest 8.1.1 changes.
  * Fix test suite harness that runs tests under wine.
  * Update Standards-Version to 4.7.0 (no changes required).
  * Fix handling of whitespace-separated file lists in Copyright files with
    thanks to Lasse Collin for the suggested fix (Closes: #1062437).
  * Parse source field to extract source version in .deb packages from
    binNMUs (Closes: #1082838).
  * Switch to from chardet to charset-normalizer and make it in the code
    (demoted to Suggests), with thanks to Michal Čihař for the initial work.
  * Update Standards-Version to 4.7.0 (no changes required).
  * Make 'Package-List' a multiline field for Dsc objects, thanks to Philipp
    Hahn for the patch (Closes: #1052154).

  [ Max Mehl ]
  * Use valid SPDX identified in python package metadata.

  [ Benjamin Drung ]
  * Fix version number to be PEP440 compliant.

  [ Jelmer Vernooĳ ]
  * Drop debian_bundle and top-level deb822 modules after 13 years of
    deprecation.

  [ Niels Thykier ]
  * Fix typing errors from newer mypy in deb822.PkgRelation.
  * Changelog parsing speed improvements.
  * Add support for file location finding (line, col) in Deb822 files.

  [ Alexandre Detiste ]
  * Change some type annotations from Python 2 to Python 3 format.
  * Clean up some old Python 2 methods.
  * Fixes for pylint 3.1.

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Dec 2024 16:12:37 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -15,13 +14,18 @@
  binutils <!nocheck>,
  debhelper-compat (= 13),
  dh-python,
+ gpgv <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-apt,
- python3-chardet,
+ python3-charset-normalizer,
  python3-pytest <!nocheck>,
  python3-setuptools,
+ python3-setuptools-scm,
  zstd <!nocheck>,
-Standards-Version: 4.6.1
+Build-Conflicts:
+  gpgv-from-sq,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
 Homepage: https://salsa.debian.org/python-debian-team/python-debian
@@ -30,14 +34,13 @@
 Package: python3-debian
 Architecture: all
 Depends:
- python3-chardet,
- zstd,
  ${misc:Depends},
  ${python3:Depends}
-Recommends:
+Suggests:
+ gpgv,
  python3-apt,
-Suggests:
- gpgv
+ python3-charset-normalizer,
+ zstd,
 Description: Python 3 modules to work with Debian-related data formats
  This package provides Python 3 modules that abstract many formats of Debian
  related files. Currently handled are:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export SETUPTOOLS_SCM_PRETEND_VERSION = $(shell debian/make_pep440_compliant "$(DEB_VERSION)")

# tell pybuild which module to install into the packages
export PYBUILD_NAME=debian

# for packaging, insist that all optional dependencies are installed
# when running the test suite
export FORBID_MISSING_APT_PKG ?= 1
export FORBID_MISSING_CHARSET_NORMALIZER ?= 1
export FORBID_MISSING_GPGV ?= 1
export FORBID_MISSING_AR ?= 1
export FORBID_MISSING_DPKG_DEB ?= 1
export FORBID_MISSING_ZSTD ?= 1

%:
	dh $@ --with python3 --buildsystem pybuild

execute_after_dh_auto_build:
	src/debian/doc-debtags > README.debtags

# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test: test
endif

dist:
	# needs python3-build python3-wheel
	rm -f dist/python?debian-$(SETUPTOOLS_SCM_PRETEND_VERSION)*
	python3 -m build --skip-dependency-check --no-isolation --sdist --wheel
	@echo "You can now:"
	@echo "  twine check --strict dist/python?debian-$(SETUPTOOLS_SCM_PRETEND_VERSION)*"
	@echo "  twine upload dist/python?debian-$(SETUPTOOLS_SCM_PRETEND_VERSION)*"

apidoc:
	rm -f docs/api/*
	cd src && sphinx-apidoc -e --private -H python-debian \
	  -o ../docs/api/ . \
	  debian/tests/

doc: apidoc
	PYTHONPATH=$(CURDIR)/src \
	  make -C docs/ SPHINXOPTS="-a -v -n" html

test:
	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
	# aware locale to catch errors related to encoding.
	for py in `py3versions -s`; do \
	  set -e; \
	  echo "----------------------------------------------"; \
	  echo "Testing with $$py"; \
	  echo "----------------------------------------------"; \
	  LC_ALL=C $$py -m pytest; \
	  LC_ALL=C.UTF-8 $$py -m pytest; \
	done

qa:
	@echo "Running both pylint and mypy"
	@echo "----------- pylint -----------"
	@pylint $$(find src/debian -name \*py | grep -v test | sort); \
	  pylinterr=$$?; \
	  echo "----------- mypy -----------"; \
	  mypy; \
	  mypyerr=$$? ; \
	  [ $$pylinterr -eq 0 -a $$mypyerr -eq 0 ]

.PHONY: dist doc apidoc qa

=== debian/tests/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Restrictions: allow-stderr
 Depends:
  binutils,
+ gpgv,
  python3-all,
  python3-apt,
+ python3-charset-normalizer,
  python3-debian,
  python3-pytest,
  debian-keyring,
@@ -14,7 +16,9 @@
 Restrictions: allow-stderr
 Depends:
  binutils,
+ gpgv,
  python3-all,
+ python3-charset-normalizer,
  python3-debian,
  python3-pytest,
  debian-keyring,

## python-debian 1.0.1ubuntu1

=== debian/changelog ===
python-debian (1.0.1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop python3-charset-normalizer from Depends/Recommends,
      to avoid component-mismatch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:25:59 +0100

python-debian (1.0.0ubuntu2) plucky; urgency=medium

  * d/control: Drop python3-charset-normalizer from Depends/Recommends,
    to avoid component-mismatch, see Salsa MR!140 (LP: #1977475)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 11 Mar 2025 09:31:20 +0100

python-debian (1.0.0ubuntu1) plucky; urgency=medium

  * Fix component mismatch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Mar 2025 07:30:30 -0500

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python3:Depends}
+ python3:any
 Suggests:
  gpgv,
  python3-apt,

## python-debian 1.0.1ubuntu2

=== debian/changelog ===
python-debian (1.0.1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:52:25 +0100
